using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace tChart_Palette
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChart();
        }
        private Steema.TeeChart.Styles.Bar bar1, bar2;

        private void InitializeChart()
        {
            bar1 = new Steema.TeeChart.Styles.Bar(tChart1.Chart);
            bar2 = new Steema.TeeChart.Styles.Bar(tChart2.Chart);

            foreach (string s in Steema.TeeChart.Themes.Theme.ColorPalettes)
            {
                comboBox1.Items.Add(s);
            }

            foreach (string s in Steema.TeeChart.Themes.Theme.ColorPalettes)
            {
                comboBox2.Items.Add(s);
            }
            bar1.FillSampleValues();
            bar2.FillSampleValues();
            bar1.ColorEach = true;
            bar2.ColorEach = true;
            comboBox1.SelectedIndexChanged += new EventHandler(comboBox1_SelectedIndexChanged);
            comboBox2.SelectedIndexChanged += new EventHandler(comboBox2_SelectedIndexChanged);
            tChart1.Leave += new EventHandler(tChart1_Leave);
            tChart2.Leave += new EventHandler(tChart1_Leave);

        }

        void tChart1_Leave(object sender, EventArgs e)
        {
            Steema.TeeChart.Themes.ColorPalettes.ApplyPalette(tChart1.Chart, Steema.TeeChart.Themes.Theme.OperaPalette);
        }

        void comboBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            Steema.TeeChart.Themes.ColorPalettes.ApplyPalette(tChart2.Chart, comboBox2.SelectedIndex);
        }

        void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            Steema.TeeChart.Themes.ColorPalettes.ApplyPalette(tChart1.Chart, comboBox1.SelectedIndex);
        }

        private void Export1_Click(object sender, EventArgs e)
        {
            tChart1.Export.Template.Save("C:\\TeeChartPalette1");
            tChart1.Series.Clear();

        }

        private void Import1_Click(object sender, EventArgs e)
        {
            tChart1.Import.Template.Load("C:\\TeechartPalette1");

        }

        private void Export2_Click(object sender, EventArgs e)
        {
            tChart2.Export.Template.Save("C:\\TeeChartPalette2");
            tChart2.Series.Clear();


        }

        private void Import2_Click(object sender, EventArgs e)
        {
            tChart2.Import.Template.Load("C:\\TeechartPalette2");
        }


    }
}